<?php
 /**
 * About module
 * http://www.aa-team.com
 * ======================
 *
 * @package		sp_
 * @author		Andrei Dinca, AA-Team
 * @version		1.0
 */
! defined( 'ABSPATH' ) and exit;

if(class_exists('sp_about') != true) {
	class sp_about {
		
		const WXR_VERSION = '1.0';
		
		/**
		 * parent storage
		 *
		 * @var array
		 */
		public $parent = array();
		
		private $action = '';
		private $wp_import = null;
		
		/**
		 * The constructor
		 */
		public function __construct( $parent=array() )
		{
			// load parent
			$this->parent = $parent;
		}
		
		public function print_interface()
		{
			$html = array();
			
			
		
			$html[] = '<div id="sp_iw-section-content" class="sp_iw-section-dashboard">';
			$html[] = 	'<div class="sp_iw-section-dashboard-row">';
			$html[] = 		'<div class="sp_iw-dashboard-box sp_iw-box-size-6">';
			$html[] = 			'<div class="sp_iw-dashboard-box-content">';
			$html[] = 				'<div class="sp_iw-dashboard-in-box-content">';
			$html[] = 					'<p><b>Wordpress / WooCommerce Custom Pagination Plugin</b> 

 
 </p>
										<h4> If you encounter any difficulties when using the plugin please make sure you read the Documentation of the plugin and searched trough the Knowledgebase for usual problems. </h4>
										
										<a href="http://docs.aa-team.com/products/custom-pagination/" target="_blank"><img src="' . ( sp_asset_url( 'images/documentation.png' ) ) . '" class="aa-logo" /></a>

										<a href="http://support.aa-team.com" target="_blank"><img src="' . ( sp_asset_url( 'images/support.png' ) ) . '" class="aa-logo" /></a>
										<a href="http://support.aa-team.com/knowledgebase/" target="_blank"><img src="' . ( sp_asset_url( 'images/knowledgebase.png' ) ) . '" class="aa-logo" /></a>
										<h4> If you do find bugs or unusual issues, you are free to open a ticket on our support system. </h4>';

	
			$html[] = 				'</div>';
			$html[] = 			'</div>';
			$html[] = 		'</div>';
			$html[] = 	'</div>';
			$html[] = '</div>';
			
			return implode( "\n", $html );
		}
	}
}