<?php
 /**
 * Amazon module
 * http://www.aa-team.com
 * ======================
 *
 * @package		sp_
 * @author		Andrei Dinca, AA-Team
 * @version		1.0
 */
! defined( 'ABSPATH' ) and exit;

if(class_exists('sp_config') != true) {
	class sp_config {
		
		const WXR_VERSION = '1.0';
		
		/**
		 * parent storage
		 *
		 * @var array
		 */
		public $parent = array();
		
		private $action = '';
		private $wp_import = null;
		
		/**
		 * The constructor
		 */
		public function __construct( $parent=array() )
		{
			// load parent
			$this->parent = $parent;
		}
		
		public function print_interface()
		{
			$html[] = '<div id="sp_iw-section-content" style="padding-right: 40px;">';
			$html[] = 	sp_Settings_Build_Options( sp_Load_Options( dirname( __FILE__ ) ), 'sp_Import_Settings' );
			$html[] = '</div>';
			
			return implode( "\n", $html );
		}
	}
}